decapode_f = begin
    #= /Users/chrisrackauckas/.julia/packages/Decapodes/GugTA/src/simulation.jl:531 =#
    function simulate(mesh, operators, hodge = GeometricHodge())
        #= /Users/chrisrackauckas/.julia/packages/Decapodes/GugTA/src/simulation.jl:531 =#
        #= /Users/chrisrackauckas/.julia/packages/Decapodes/GugTA/src/simulation.jl:532 =#
        begin
            #= /Users/chrisrackauckas/.julia/packages/Decapodes/GugTA/src/simulation.jl:157 =#
            (var"GenSim-M_d₀", d₀) = default_dec_matrix_generate(mesh, :d₀, hodge)
            (var"GenSim-M_⋆₁", ⋆₁) = default_dec_matrix_generate(mesh, :⋆₁, hodge)
            (var"GenSim-M_dual_d₀", dual_d₀) = default_dec_matrix_generate(mesh, :dual_d₀, hodge)
            (var"GenSim-M_⋆₀⁻¹", ⋆₀⁻¹) = default_dec_matrix_generate(mesh, :⋆₀⁻¹, hodge)
            ♯ = operators(mesh, :♯)
            mag = operators(mesh, :mag)
            avg₀₁ = operators(mesh, :avg₀₁)
            (^) = operators(mesh, :^)
        end
        #= /Users/chrisrackauckas/.julia/packages/Decapodes/GugTA/src/simulation.jl:533 =#
        begin
            #= /Users/chrisrackauckas/.julia/packages/Decapodes/GugTA/src/simulation.jl:449 =#
            var"GenSim-M_GenSim-ConMat_1" = var"GenSim-M_⋆₀⁻¹" * var"GenSim-M_dual_d₀" * var"GenSim-M_⋆₁"
            var"GenSim-ConMat_1" = (x->var"GenSim-M_GenSim-ConMat_1" * x)
        end
        #= /Users/chrisrackauckas/.julia/packages/Decapodes/GugTA/src/simulation.jl:534 =#
        begin
            #= /Users/chrisrackauckas/.julia/packages/Decapodes/GugTA/src/simulation.jl:203 =#
            var"__dynamics_•1" = Decapodes.LazyBufferCache(x->nparts(mesh, :E))
            var"__dynamics_•6" = Decapodes.LazyBufferCache(x->nparts(mesh, :E))
            __dynamics_sum_1 = Decapodes.LazyBufferCache(x->nparts(mesh, :V))
            __dynamics_mult_3 = Decapodes.LazyBufferCache(x->nparts(mesh, :E))
            __dynamics_ḣ = Decapodes.LazyBufferCache(x->nparts(mesh, :V))
        end
        #= /Users/chrisrackauckas/.julia/packages/Decapodes/GugTA/src/simulation.jl:535 =#
        f(du, u, p, t) = begin
                #= /Users/chrisrackauckas/.julia/packages/Decapodes/GugTA/src/simulation.jl:535 =#
                #= /Users/chrisrackauckas/.julia/packages/Decapodes/GugTA/src/simulation.jl:536 =#
                begin
                    #= /Users/chrisrackauckas/.julia/packages/Decapodes/GugTA/src/simulation.jl:228 =#
                    dynamics_h = u.dynamics_h
                    n = p.n
                    stress_A = p.stress_A
                    stress_ρ = p.stress_ρ
                    stress_g = p.stress_g
                    var"1" = 1.0
                    var"2" = 2.0
                    var"2" = 2.0
                end
                #= /Users/chrisrackauckas/.julia/packages/Decapodes/GugTA/src/simulation.jl:537 =#
                var"dynamics_•1" = Decapodes.get_tmp(var"__dynamics_•1", u)
                var"dynamics_•6" = Decapodes.get_tmp(var"__dynamics_•6", u)
                dynamics_sum_1 = Decapodes.get_tmp(__dynamics_sum_1, u)
                dynamics_mult_3 = Decapodes.get_tmp(__dynamics_mult_3, u)
                dynamics_ḣ = Decapodes.get_tmp(__dynamics_ḣ, u)
                mul!(var"dynamics_•1", var"GenSim-M_d₀", dynamics_h)
                mul!(var"dynamics_•6", var"GenSim-M_d₀", dynamics_h)
                var"dynamics_•5" = ♯(var"dynamics_•6")
                var"dynamics_•4" = mag(var"dynamics_•5")
                var"dynamics_•7" = n .- var"1"
                var"dynamics_•3" = var"dynamics_•4" ^ var"dynamics_•7"
                var"stress_•3" = stress_ρ .* stress_g
                var"stress_•2" = var"stress_•3" ^ n
                dynamics_sum_1 .= (.+)(n, var"2")
                stress_sum_1 = (.+)(n, var"2")
                var"dynamics_•2" = avg₀₁(var"dynamics_•3")
                @show typeof(dynamics_h)
                @show typeof(dynamics_sum_1)
                var"dynamics_•9" = dynamics_h ^ dynamics_sum_1
                var"stress_•1" = var"2" / stress_sum_1
                stress_mult_1 = var"stress_•1" .* stress_A
                Γ = stress_mult_1 .* var"stress_•2"
                var"dynamics_•8" = avg₀₁(var"dynamics_•9")
                dynamics_mult_3 .= Γ .* var"dynamics_•1"
                dynamics_mult_1 = dynamics_mult_3 .* var"dynamics_•2"
                dynamics_mult_2 = dynamics_mult_1 .* var"dynamics_•8"
                mul!(dynamics_ḣ, var"GenSim-M_GenSim-ConMat_1", dynamics_mult_2)
                @show size(du)
                @show size(dynamics_ḣ)
                #= /Users/chrisrackauckas/.julia/packages/Decapodes/GugTA/src/simulation.jl:538 =#
                du .= dynamics_ḣ
            end
    end
end